KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# GeoDataMultiGeometry Class Reference

`from PyKDE4.marble import *`

Inherits: QVector<GeoDataGeometry*>,Marble.GeoDataGeometry → Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

A class that can contain other GeoDataGeometry objects

GeoDataMultiGeometry is a collection of other GeoDataGeometry objects. As one can add GeoDataMultiGeometry to itself, you can make up a collection of different objects to form one Placemark.

## Methods

| __init__ (self, Marble.GeoDataObject parent=0)
| __init__ (self, Marble.GeoDataMultiGeometry a0)
EnumGeometryId | geometryId (self)
| pack (self, QDataStream stream)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( | self, |
|  | Marble.GeoDataObject | parent=0
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataMultiGeometry | a0
| ) |  |  |

Q_FOREACH containers are bad because they require a copy of the QVector Use iterators instead!!!

EnumGeometryId geometryId | ( |  | self ) |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |